@CHARSET "ISO-8859-1";
/* Reset CSS
 * --------------------------------------- */
body,div,dl,dt,dd,ul,ol,li,h1,h2,h3,h4,h5,h6,pre,
form,fieldset,input,textarea,p,blockquote,th,td {
    padding: 0;
    margin: 0;
}
a{
	text-decoration:none;
}
table {
    border-spacing: 0;
}
fieldset,img {
    border: 0;
}
address,caption,cite,code,dfn,em,strong,th,var {
    font-weight: normal;
    font-style: normal;
}
strong{
	font-weight: bold;
}
ol,ul {
    list-style: none;
    margin:0;
    padding:0;
}
caption,th {
    text-align: left;

}
h1,h2,h3,h4,h5,h6 {
    font-weight: normal;
    font-size: 100%;
    margin:0;
    padding:0;
    color: white;
}
q:before,q:after {
    content:'';
}
abbr,acronym { border: 0;
}


@import url('https://fonts.googleapis.com/css2?family=Eczar:wght@500&display=swap');


/* Custom CSS
 * --------------------------------------- */
@font-face {
    font-family: "nexaBook";
    src: url("fonts/nexaBook.woff") format('woff');
}
body{
	font-family: arial,helvetica;
	color: #333;
}
a{
	font-family: 'nexaBook', sans-serif;
	font-size: 14px;
	color: white;
	cursor: pointer;
	
}
a.highlight{
  background-image: linear-gradient(to right, rgba(40,49,53,0) 50%, white 50%);
  background-position: -0% 0;
  background-size: 200% auto;
  color: white;
  font-size: 14px;
  line-height: 1.15em;
  text-decoration: none;
  transition: background-position 0.5s ease-out;
  padding: 10px 10px 10px 15px;
  border: 1px solid white;
  transition: all 0.5s ease;
  letter-spacing: 4px;
}
a.highlight:hover {
  background-position: -99.99% 0;
  border-color: rgba(40,49,53,0);
  color: #283135;
  /*transform: perspective(120px) rotateY(-10deg) rotateX(10deg);*/
 }




#rs-logo{
	position: fixed;
	z-index: 4;
	left: 130px;
	top: 130px;
	-webkit-transition: .5s ease-in-out;
  -moz-transition: .5s ease-in-out;
  -o-transition: .5s ease-in-out;
  transition: .5s ease-in-out;
}
#rs-logo svg{
	width: 40px;
	height: 40px;
}
/* MENU ICON */
#nav-icon4 {
	position: fixed;
	right: 130px;
	top: 135px;
	width: 32px;
	height: 40px;
	-webkit-transform: rotate(0deg);
  -moz-transform: rotate(0deg);
  -o-transform: rotate(0deg);
  transform: rotate(0deg);
  -webkit-transition: .5s ease-in-out;
  -moz-transition: .5s ease-in-out;
  -o-transition: .5s ease-in-out;
  transition: .5s ease-in-out;
  cursor: pointer;
  z-index: 1001;
}
#nav-icon4 span {
  display: block;
  position: absolute;
  height: 1px;
  width: 100%;
  background-color: white;
  opacity: 1;
  left: 0;
  -webkit-transform: rotate(0deg);
  -moz-transform: rotate(0deg);
  -o-transform: rotate(0deg);
  transform: rotate(0deg);
  -webkit-transition: .25s ease-in-out;
  -moz-transition: .25s ease-in-out;
  -o-transition: .25s ease-in-out;
  transition: .25s ease-in-out;
}
#nav-icon4 span:nth-child(1) {
  top: 0px;
  -webkit-transform-origin: left center;
  -moz-transform-origin: left center;
  -o-transform-origin: left center;
  transform-origin: left center;
}

#nav-icon4 span:nth-child(2) {
  top: 10px;
  -webkit-transform-origin: left center;
  -moz-transform-origin: left center;
  -o-transform-origin: left center;
  transform-origin: left center;
}

#nav-icon4 span:nth-child(3) {
  top: 20px;
  -webkit-transform-origin: left center;
  -moz-transform-origin: left center;
  -o-transform-origin: left center;
  transform-origin: left center;
}

#nav-icon4.open span:nth-child(1) {
  -webkit-transform: rotate(45deg);
  -moz-transform: rotate(45deg);
  -o-transform: rotate(45deg);
  transform: rotate(45deg);
  top: -3px;
  left: 4px;
}
#nav-icon4.open span:nth-child(2) {
  width: 0%;
  opacity: 0;
}
#nav-icon4.open span:nth-child(3) {
  -webkit-transform: rotate(-45deg);
  -moz-transform: rotate(-45deg);
  -o-transform: rotate(-45deg);
  transform: rotate(-45deg);
  top: 20px;
  left: 4px;
}

/* MENU STYLING */
.sidenav {
  height: 100%;
  width: 0;
  position: fixed;
  z-index: 1000;
  top: 0;
  right: 0;
  background-color: #283034;
  overflow: hidden;
  transition: 1s;
}
.sidenav_left{
	border-right: 1px solid #343d42;
	height: 100%;
	width: 60%;
	float: left;
	position: relative;
	box-sizing: border-box;
}
.sidenav_right{
	float: left;
	height: 100%;
	width: 40%;
	color: white;
	position: relative;
	font-family: 'nexaBook', sans-serif;
	letter-spacing: 4px;
	font-size: 11pt;
	text-align: right;
}
.sidenav_inner{
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	transition: 0.5s;
}
#sidenav_fade{
	opacity: 0;
	width: 100%;
	height: 100vh;
	transition: 0.5s;
	position: relative;
}
.sidenav a {
  margin: 30px 0px 30px 0px;
  text-decoration: none;
  color: white;
  display: block;
  transition: 0.3s;
  white-space: nowrap;
  position: relative;
  cursor: pointer;
}
.sidenav .closebtn{
	padding: 0px;
}
.sidenav .closebtn img{
	width: 32px;
	position: absolute;
  	top: 130px;
  	right: 130px
}
.sidenav a h3{
	font-family: 'Eczar';
	font-weight: 400;
	font-size: 40px;
	line-height: 45px;
	color: white;
}
.sidenav a h4{
	font-family: 'nexaBook', sans-serif;
	font-size: 10pt;
	letter-spacing: 4px;
	font-weight: 1;
}
.sidenav span{
	font-family: 'nexaBook', sans-serif;
	position: absolute;
	left: -40px;
	bottom: 20px;
	color: #3b9b95;
	text-align: right;
}
h1{
	font-family: Eczar ;
	font-size: 80px;
	color: white;
	line-height: 0.9em;
	margin-bottom: 10px;	
}
#section0 h1{
	font-size: 110px;
	max-width: 850px;
	display: inline-block;
}
h2{
	color: white;
	font-family: 'nexaRegular', sans-serif;
	letter-spacing: 6px;
	font-size: 18px;
	margin-bottom: 40px;
}



/* SIDENAV BUTTON STYLING */
.sidenav_left a:hover{
	transform: translateX(10px);
}
.sidenav a.highlight{
	display: inline-block;
	margin-bottom: 0px;
}
.sidenav a.highlight:hover{
	background-image: linear-gradient(to right, rgba(40,49,53,0) 50%, #3b9b95 50%);
}
.sidenav a#redbutton:hover{
	background-image: linear-gradient(to right, rgba(40,49,53,0) 50%, #ef735f 50%);
}











.section{
	padding: 0 300px 0 300px;
	transition: all 0.2s ease;
	background-size: 65%;
	background-position: 70% 50%;
	background-repeat: no-repeat;
	box-sizing: border-box;
}
.section-number{
	 transform: translate(-50%, -50%);
	color: white;
	position: absolute;
	left: 40px;
	top: 50%;
	font-family: 'nexaLight';
	font-size: 150px;
}
#section0{
	text-align: center;
}





/*SUB PAGE STYLING*/
/*.sub-page-wrapper{
	width: 100%;
	padding: 130px 300px 130px 300px;
	box-sizing: border-box;
}
p{
	padding-top: 20px;
	max-width: 400px;
	line-height: 26px;
}
.sub-page-wrapper img{
	width: 100%;
	margin-top: 100px;
}
#subSidenav h3, #subSidenav h4 {
	color: white;
}*/






.splash{
	position: fixed;
	width: 100%;
	height: 100vh;
	right: 0px;
	top: 0px;
	background-color: #283034;
	z-index: 1002;
	transition: all ease 0.7s;
	overflow: hidden;
}
.splash.display-none{
	top: -100%;
	z-index: -10;	
}

:root {
	--delay: 0;
	--duration: 800ms;
	--iterations: 1;
}
/* •·•·•·•·•·•·•·•·•·•·•·•·•·•·•·•·•·•·•·•·•·•·•·•·•·•·•·•· */
.reveal-text,
.reveal-text::after {
	-webkit-animation-delay: var(--animation-delay, 2s);
	        animation-delay: var(--animation-delay, 2s);
	-webkit-animation-iteration-count: var(--iterations, 1);
	        animation-iteration-count: var(--iterations, 1);
	-webkit-animation-duration: var(--duration, 800ms);
	        animation-duration: var(--duration, 800ms);
	-webkit-animation-fill-mode: both;
	        animation-fill-mode: both;
	-webkit-animation-timing-function: cubic-bezier(0.0, 0.0, 0.2, 1);
	        animation-timing-function: cubic-bezier(0.0, 0.0, 0.2, 1);
}

.reveal-text {
	padding: 5px;
	position: absolute;
	transform: translate(-50%, -50%);
	top: 50%;
	left: 50%;
	display: inline-block;
	text-align: center;
	font-family:'nexaBook', sans-serif;
	font-size: 25px;
	letter-spacing: 10px;
	color: white;
	--animation-delay: var(--delay, 0);
	--animation-duration: var(--duration, 800ms);
	--animation-iterations: var(--iterations, 1);
	position: relative;
	-webkit-animation-name: clip-text;
	        animation-name: clip-text;
	color: #FFF;
	white-space: nowrap;
	cursor: default
	
}

.reveal-text::after {
		content: "";
		position: absolute;
		z-index: 999;
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		background-color: #3b9b95;
		-webkit-transform: scaleX(0);
		        transform: scaleX(0);
		-webkit-transform-origin: 0 50%;
		        transform-origin: 0 50%;
		pointer-events: none;
		-webkit-animation-name: text-revealer;
		        animation-name: text-revealer;
	}


@-webkit-keyframes clip-text {
	from {
		-webkit-clip-path: inset(0 100% 0 0);
		        clip-path: inset(0 100% 0 0);
	}
	to {
		-webkit-clip-path: inset(0 0 0 0);
		        clip-path: inset(0 0 0 0);
	}
}


@keyframes clip-text {
	from {
		-webkit-clip-path: inset(0 100% 0 0);
		        clip-path: inset(0 100% 0 0);
	}
	to {
		-webkit-clip-path: inset(0 0 0 0);
		        clip-path: inset(0 0 0 0);
	}
}


@-webkit-keyframes text-revealer {
	
	0%, 50% {
		-webkit-transform-origin: 0 50%;
		        transform-origin: 0 50%;
	}
	
	60%, 100% {
		-webkit-transform-origin: 100% 50%;
		        transform-origin: 100% 50%;		
	}

	
	60% {
		-webkit-transform: scaleX(1);
		        transform: scaleX(1);
	}
	
	100% {
		-webkit-transform: scaleX(0);
		        transform: scaleX(0);
	}
}


@keyframes text-revealer {
	
	0%, 50% {
		-webkit-transform-origin: 0 50%;
		        transform-origin: 0 50%;
	}
	
	60%, 100% {
		-webkit-transform-origin: 100% 50%;
		        transform-origin: 100% 50%;		
	}

	
	60% {
		-webkit-transform: scaleX(1);
		        transform: scaleX(1);
	}
	
	100% {
		-webkit-transform: scaleX(0);
		        transform: scaleX(0);
	}
}


/* MEDIA QUERIES */
@media screen and (max-width:1700px){
	.section{
		padding-left: 200px;
		padding-right: 200px;
		background-size: 65%;
		background-position: 75% 50%;
	}
}
@media screen and (max-width:1200px){

	.section h1{
		font-size: 60px;
	}
	#section0 h1{
		font-size: 110px;
	}
	#rs-logo{
		left: 80px;
		top: 80px;
	}
	 #nav-icon4{
	 	right: 80px;
		top: 90px;
	 }

	 .aboutme_left{
	 	padding-left: 15%;
	 }
	 .section{
		padding-left: 80px;
		padding-right: 80px;
		background-position: 80% 50%;
	}
	
}

@media screen and (max-width:1000px){
	#section0 h1{
		font-size: 100px;
	}
}

@media screen and (max-width:700px){
	#rs-logo{
		left: 40px;
		top: 40px;
	}
	 #nav-icon4{
	 	right: 40px;
		top: 50px;
	 }
	 .reveal-text{
	 	font-size: 15px;
	 }

	.section{
		padding-left: 40px;
		padding-right: 40px;
	}
	#section0{
	
	}
	#section0 h1{
		font-size: 80px;
	}

	/*ABOUT ME*/
	.aboutme{
		overflow: visible;
	}
	.aboutme_left, .aboutme_right{
		width: 100%;
		height: auto;
	}
	.aboutme_right{
		height: 250px;
		margin-bottom: 40px;
	}
	.aboutme_inner{
		position: static;
		top: 0;
		transform: translateY(0%);
		width: 100%;
	}
	.aboutme_left{
		padding: 40px 40px 0px 40px;
		margin-top: 80px;
	}
	.aboutme_inner span{
		display: block;
		padding-bottom: 20px;
		color: #fff;
	}

	/* SIDENAV */
	.sidenav a {
 		margin: 10px 0px 10px 0px;
 	}
	.sidenav_inner{
		position: static;
		transform: translate(0%, 0%);
	}
	.sidenav_left, .sidenav_right{
		width: 100%;
		position: static;
		padding: 40px;
		box-sizing: border-box;
	}
	.sidenav a h3{
		font-size: 30px;
	}
	.sidenav a h4{
		font-size: 10px;
	}
	.sidenav span{
		display: none;
	}
	.sidenav_left{
		height: auto;
		border-bottom: 1px solid #343d42;
	}
	.sidenav_right{
		height: 400px;
		text-align: left;
		font-size: 10pt;
	}
}

@media screen and (max-width:500px){
	.intro h1{
		font-size: 50px;
	}
	.intro h2{
		font-size: 10px;
	}
	#section0 h1{
		font-size: 50px;
	}
	.section{
		background-size: 150%;
		background-position: 50% 80%;
	}
	.fp-tableCell{
		position: relative;
		top: -140px;
	}
	#section0 .fp-tableCell{
		top: 0px;
	}
}




/*mouse*/
.mouse {
  position: absolute;
  width: 22px;
  height: 42px;
  bottom: 130px;
  left: 50%;
  margin-left: -12px;
  border-radius: 15px;
  border: 1px solid white;
  -webkit-animation: intro 1s;
          animation: intro 1s;
       z-index: 20000;
}
.scroll {
  display: block;
  width: 5px;
  height: 5px;
  margin: 8px auto;
  border-radius: 4px;
  background: white;
  -webkit-animation: finger 1s infinite;
          animation: finger 1s infinite;
}
@-webkit-keyframes intro {
  0% {
    opacity: 0;
    -webkit-transform: translateY(40px);
            transform: translateY(40px);
  }
  100% {
    opacity: 1;
    -webkit-transform: translateY(0);
            transform: translateY(0);
  }
}
@keyframes intro {
  0% {
    opacity: 0;
    -webkit-transform: translateY(40px);
            transform: translateY(40px);
  }
  100% {
    opacity: 1;
    -webkit-transform: translateY(0);
            transform: translateY(0);
  }
}
@-webkit-keyframes finger {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
    -webkit-transform: translateY(20px);
            transform: translateY(20px);
  }
}
@keyframes finger {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
    -webkit-transform: translateY(20px);
            transform: translateY(20px);
  }
}











